Inhalte

# Funktion PPmt [VBA]

Ergibt für einen bestimmten Zeitraum den Zinsbetrag für eine Investition bei regelmäßigen Zahlungen und konstantem Zinssatz (Zinseszins).

Diese Konstante, diese Funktion oder dieses Objekt wird durch Platzierung der Anweisung Option VBASupport 1 vor dem auszuführenden Programmcode des Moduls aktiviert.

### Syntax:

    Pmt( Rate as Double, Per as Double, NPer as Double, PV as Double, [FV as Variant], [Due as Variant] )

### Rückgabetyp:

Double

### Parameter:

Rate bestimmt den periodischen Zinssatz.

Per Die Anzahl an Perioden, für die Sie die Kapitalzahlungen berechnen möchten (muss eine ganze Zahl zwischen 1 und Nper sein).

NPer ist die Gesamtzahl von Zeiträumen, in denen regelmäßige Zahlungen (Annuitäten) erfolgen.

PV ist der (gegenwärtige) Barwert einer Investition.

FV (optional) ist der zukünftige Wert eines Darlehens / einer Anlage.

Due (optional) definiert, ob die Zahlung am Anfang oder Ende eines Zeitraumes fällig ist.

0 – Die Zahlung ist am Ende des Zeitraumes fällig;

1 – Die Zahlung ist am Anfang des Zeitraumes fällig.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    REM ***** BASIC *****
    Option VBASupport 1
    Sub ExamplePPmt
    ' Berechnet die Kapitalzahlungen der Monate 4 und 5 eines Darlehens, das vollständig zurückgezahlt wird.
    ' über 6 Jahre. Der Zinssatz beträgt 10 % pro Jahr und die Zahlungen sind am Ende des Monats fällig.
    Dim ppMth4 As Double
    Dim ppMth5 As Double
    ' Kapitalzahlung des 4. Monats:
    ppMth4 = PPmt( 0.1/12, 4, 72, 100000 )
    print ppMth4 ' ppMth4 ergibt -1044,94463903636.
    ' Kapitalzahlung des 5. Monats:
    ppMth5 = PPmt( 0.1/12, 5, 72, 100000 )
    print ppMth5 ' ppMth5 ergibt -1053,65251102833.
    End Sub

Verwandte Themen

Funktion KAPZ (PPMT) in CALC

VBA – Finanzmathematische Funktionen

Bitte unterstützen Sie uns!